# React Annotate

A library to annotate and collaborate on anything anywhere.

## Install

First, install the library:

```sh
npm install @annotatejs/react
# or
yarn add @annotatejs/react
```

Then drop it into any page:

```tsx
import { AnnotationPlugin } from '@annotatejs/react';

const App = () => {
  return (
      <div>
        <AnnotationPlugin />
        {/* other components */}
      </div>
  );
};
```

## FAQ

### Adding this plugin throws `Error: (0 , a.createContext) is not a function` in the Nextjs application with the `app` directory

Make sure to only import the plugin on the client side. This will be fixed in the future.

```tsx
"use client";

import { AnnotationPlugin } from '@annotatejs/react';
```

## Publish

1. Bump the version.
2. Run the publish script under the monorepo root:

```sh
# dry run
yarn publish-package:test
# prod run
yarn publish-package:prod
```

## License

[Elastic License 2.0 (ELv2)](https://www.elastic.co/licensing/elastic-license)
